## com.ericsson.otp.erlang
Class OtpErlangException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ericsson.otp.erlang.OtpException
                  com.ericsson.otp.erlang.OtpErlangException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OtpErlangDecodeException, OtpErlangExit, OtpErlangRangeException

    public class OtpErlangException

extends OtpException

Base class for the other OTP erlang exception classes.

See Also:
  Serialized Form

Constructor Summary
`OtpErlangException()` Provides no message.
`OtpErlangException(java.lang.String msg)` Provides a detailed message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtpErlangException

    public OtpErlangException()

  Provides no message.

### OtpErlangException

    public OtpErlangException(java.lang.String msg)

  Provides a detailed message.